﻿# Additive Gmbh 2022
# www.additive-net.de
# überprüfe die Verbindungen zu den Online Ressourcen von Minitab 21
cls

$servers = @("www.minitab.com",
"licensing.minitab.com",
"app.minitab.com",
"data-connectors.minitab.com",
"support.minitab.com",
"apis.google.com",
"content.googleapis.com",
"ssl.gstatic.com",
"accounts.google.com",
"js.live.net")

$pages = @("https://www.minitab.com",
"https://licensing.minitab.com",
"https://app.minitab.com",
"https://data-connectors.minitab.com",
"https://support.minitab.com",
"https://apis.google.com",
"https://accounts.google.com",
"https://js.live.net/v7.2/OneDrive.js")


$outfile=((Get-Item -Path Env:userprofile).Value)+"\Desktop\\URL-Test.txt"

if (Test-Path $outfile) {
    Write-Host "old outfile found and deleted"
    Remove-Item $outfile
}

Write-Host "Check URLs from machine:"
Write-Host (Get-Item -Path Env:computername).Value
("Check connection from "+(Get-Item -Path Env:computername).Value) >> $outfile

for ($i=0; $i -lt $servers.length; $i++){
   Write-Host  "Check Server: " $servers[$i]
   echo "Check Server: " $servers[$i] >> $outfile
   Test-NetConnection -ComputerName $servers[$i] -Port 80 >> $outfile
  
}

for ($i=0; $i -lt $pages.length; $i++){
   Write-Host  "Check Page: " $pages[$i]
   echo  "Check Page: " $pages[$i] >> $outfile
   curl -Uri $pages[$i]  >> $outfile
   #curl -Uri $pages[$i] -ProxyUseDefaultCredentials -Proxy "IpOfYourProxyServer"  >> $outfile
}

Write-Host "Please send the result file " $outfile " to support@additive-net.de"